Bug 444416 - (CVE-2008-1675) CVE-2008-1675 kernel: [netdrvr] tehuti: move ioctl perm check closer to function start
CVE-2008-1675 kernel: [netdrvr] tehuti: move ioctl perm check closer to funct...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On: 444414
Blocks: F9KernelBlocker
  Show dependency treegraph
 
Reported: 2008-04-28 06:28 EDT by Jan Lieskovsky
Modified: 2008-05-14 17:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-02 06:57:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2008-04-28 06:28:58 EDT
Description of problem:

Alan Cox has reported the followin issue in Tehuti network driver:

<cite>

Random auditing results

tehuti has no security checks on the do_ioctl functions and
it has ioctl methods for patch arbitary 32bit offset from
registers with arbitary 32bit value. Nasty hole

</cite>

Additional info:

The Tehuti network driver was introduced in 2.6.24 kernel:

http://www.linuxhq.com/kernel/v2.6/24/drivers/net/tehuti.h

Proposed patch:

http://git2.kernel.org/?p=linux/kernel/git/davem/net-2.6.git;a=commitdiff;h=f946dffed6334f08da065a89ed65026ebf8b33b4
Comment 1 Jan Lieskovsky 2008-04-28 06:30:58 EDT
Please apply first patch from BZ#444414 as these two affects one file
and depend one on the other.
Comment 3 Chuck Ebbert 2008-05-01 02:36:56 EDT
Patch in 2.6.25-13
Comment 4 Fedora Update System 2008-05-14 17:31:57 EDT
kernel-2.6.24.7-92.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.